Skip to content

Get a user account

GET
/user/{userId}
curl --request GET \
--url https://client-api.abi.ai/user/abi1234 \
--header 'Authorization: Bearer <token>'
userId
required
string

The Abi identifier of the user account.

Example
abi1234

User found.

Media typeapplication/json

The Abi record representing a person who can use a configured service.

object
id
required

The unique identifier Abi assigns to the user account.

string
uniqueId

An optional identifier from the partner system.

string
firstName

The user’s first name.

string
lastName

The user’s surname.

string
email

The user’s email address.

string format: email
phone

The user’s mobile number including international dialing code (E.164).

string
address

The user’s address.

string
role

The user’s configured role.

string
Allowed values: patient tester
weight

The user’s weight

number
weightUnit

The unit used for weight.

string
nationalId

The user’s national identifier

string
dateOfBirth

The user’s date of birth.

string
gender

The user’s gender where supplied.

string
Allowed values: male female other
language
required

The language used to communicate with Abi.

string
country

The user’s nationality or country code.

string
location
required

The country where the user lives or is currently located.

string
origin
required

The country in which the user was born.

string
physicianCountry
required

The country in which responding healthcare professionals are licensed.

string
partnerName
required

The partner company recorded in Abi.

string
associatedAccounts

The permitted number of associated accounts for an enabled group-account policy.

integer
subscriptionStartDate

The date and time at which the user’s subscription starts.

string format: date-time
subscriptionEndDate

The date and time at which the user’s subscription ends

string format: date-time
termsAt

The recorded Terms and Conditions acceptance value

string
privacyAt

The recorded Privacy Notice acceptance value

string
extra

Additional agreed partner metadata for the user.

object
parentId

The parent account identifier for a group-account user

string
userStatus

The user’s current access status.

string
Allowed values: activeUser pendingActivation deactivatedUser
Example
{
"id": "abi1234",
"uniqueId": "123abc789xyz",
"firstName": "Jane",
"lastName": "Doe",
"email": "janedoe@example.com",
"phone": "+441234567890",
"address": "123 Main St, Apt 4B",
"role": "patient",
"weight": 70,
"weightUnit": "kg",
"nationalId": "IT-12345678",
"dateOfBirth": "1994-10-07",
"gender": "male",
"language": "en",
"country": "it",
"location": "es",
"origin": "gb",
"physicianCountry": "es",
"partnerName": "Abi",
"associatedAccounts": 5,
"subscriptionStartDate": "2021-11-17T00:00:00Z",
"subscriptionEndDate": "2022-05-31T00:00:00Z",
"userStatus": "activeUser"
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}